Get a Subscription Webhook by ID
curl --request GET \
--url https://api.hel.io/v1/webhook/paylink/subscription/{webhookId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hel.io/v1/webhook/paylink/subscription/{webhookId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hel.io/v1/webhook/paylink/subscription/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"title": "retrieved"
}{
"message": "Api key or token is invalid",
"code": 401
}Subscriptions
Get a Subscription Webhook by ID
Fetch the details of a specific subscription webhook by its ID.
GET
/
v1
/
webhook
/
paylink
/
subscription
/
{webhookId}
Get a Subscription Webhook by ID
NOTE: When using Helio on mainnet, set your Base URL to https://api.hel.io and generate your API keys from moonpay.hel.io . For testnet, use https://api.dev.hel.io and generate your API keys from moonpay.dev.hel.io.
Authorizations
Authentication using JWT token
Path Parameters
The unique ID of the subscription webhook you want to retrieve.
Query Parameters
Your API key can be generated on the Helio Dashboard’s settings page.
